Get an integration's event logs
GET/v1/integration/:installation_id/logs
This route allows you to fetch the event logs of a specific integration in your Port organization.
To learn more about integrations, check out the documentation.
Permission requirements
To use this endpoint, you must have a moderator or admin role in your Port organization.
To learn more about the different roles and permissions, please refer to the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"description": "The unique identifier of the resource you want to operate on.",
"in": "path",
"name": "installation_id",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "The number of logs to fetch per page.",
"in": "query",
"name": "limit",
"schema": {
"type": "string"
}
},
{
"description": "The date of time from which to fetch the logs, in `ISO format IE 2022-04-23T18:25:43.511Z`.",
"in": "query",
"name": "timestamp",
"schema": {
"type": "string"
}
},
{
"description": "The identifier of the log.",
"in": "query",
"name": "log_id",
"schema": {
"type": "string"
}
},
{
"description": "Determines whether to fetch logs before or after the specified timestamp.",
"in": "query",
"name": "direction",
"schema": {
"type": "string"
}
},
{
"description": "Filter logs belonging to a specific event.",
"in": "query",
"name": "event_id",
"schema": {
"type": "string"
}
},
{
"description": "When `true`, filter logs belonging to live events only.",
"in": "query",
"name": "live_events_logs",
"schema": {
"type": "string"
}
},
{
"description": "Filter logs by severity level.",
"in": "query",
"name": "levels",
"schema": {
"type": "string"
}
},
{
"description": "Filter logs by ETL phases.",
"in": "query",
"name": "etl_phases",
"schema": {
"type": "string"
}
},
{
"description": "Filter logs by kinds (e.g `pull-request`, `branch` for GitHub, `issue` for Jira, etc.)",
"in": "query",
"name": "kinds",
"schema": {
"type": "string"
}
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 400
- 401
- 403
- 404
- 500
- 504
OK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
Gateway Timeout
Responses (JSON)
{
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"properties": {
"count": {
"type": "integer"
},
"data": {
"items": {
"properties": {
"extra": {
"additionalProperties": {},
"type": "object"
},
"id": {
"type": "string"
},
"level": {
"type": "string"
},
"message": {
"type": "string"
},
"timestamp": {
"format": "date-time",
"type": "string"
}
},
"type": "object"
},
"type": "array"
},
"ok": {
"type": "boolean"
}
},
"type": "object",
"title": "api.GetLogsResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"ok": {
"type": "boolean"
}
},
"type": "object",
"title": "api.ErrorResponse"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"ok": {
"type": "boolean"
}
},
"type": "object",
"title": "api.ErrorResponse"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"ok": {
"type": "boolean"
}
},
"type": "object",
"title": "api.ErrorResponse"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"ok": {
"type": "boolean"
}
},
"type": "object",
"title": "api.ErrorResponse"
}
}
},
"description": "Not Found"
},
"500": {
"content": {
"application/json": {
"schema": {
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"ok": {
"type": "boolean"
}
},
"type": "object",
"title": "api.ErrorResponse"
}
}
},
"description": "Internal Server Error"
},
"504": {
"content": {
"application/json": {
"schema": {
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"ok": {
"type": "boolean"
}
},
"type": "object",
"title": "api.ErrorResponse"
}
}
},
"description": "Gateway Timeout"
}
}
}